<?php


abstract class BasePerfilesCredencialesPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'PERFILES_CREDENCIALES';

	
	const CLASS_DEFAULT = 'lib.model.PerfilesCredenciales';

	
	const NUM_COLUMNS = 6;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID_PERFIL = 'PERFILES_CREDENCIALES.ID_PERFIL';

	
	const ID_CREDENCIAL = 'PERFILES_CREDENCIALES.ID_CREDENCIAL';

	
	const USERNAME = 'PERFILES_CREDENCIALES.USERNAME';

	
	const CREATED_AT = 'PERFILES_CREDENCIALES.CREATED_AT';

	
	const UPDATE_AT = 'PERFILES_CREDENCIALES.UPDATE_AT';

	
	const ESTADO = 'PERFILES_CREDENCIALES.ESTADO';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('IdPerfil', 'IdCredencial', 'Username', 'CreatedAt', 'UpdateAt', 'Estado', ),
		BasePeer::TYPE_COLNAME => array (PerfilesCredencialesPeer::ID_PERFIL, PerfilesCredencialesPeer::ID_CREDENCIAL, PerfilesCredencialesPeer::USERNAME, PerfilesCredencialesPeer::CREATED_AT, PerfilesCredencialesPeer::UPDATE_AT, PerfilesCredencialesPeer::ESTADO, ),
		BasePeer::TYPE_FIELDNAME => array ('ID_PERFIL', 'ID_CREDENCIAL', 'USERNAME', 'CREATED_AT', 'UPDATE_AT', 'ESTADO', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('IdPerfil' => 0, 'IdCredencial' => 1, 'Username' => 2, 'CreatedAt' => 3, 'UpdateAt' => 4, 'Estado' => 5, ),
		BasePeer::TYPE_COLNAME => array (PerfilesCredencialesPeer::ID_PERFIL => 0, PerfilesCredencialesPeer::ID_CREDENCIAL => 1, PerfilesCredencialesPeer::USERNAME => 2, PerfilesCredencialesPeer::CREATED_AT => 3, PerfilesCredencialesPeer::UPDATE_AT => 4, PerfilesCredencialesPeer::ESTADO => 5, ),
		BasePeer::TYPE_FIELDNAME => array ('ID_PERFIL' => 0, 'ID_CREDENCIAL' => 1, 'USERNAME' => 2, 'CREATED_AT' => 3, 'UPDATE_AT' => 4, 'ESTADO' => 5, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	public static function getMapBuilder()
	{
		return BasePeer::getMapBuilder('lib.model.map.PerfilesCredencialesMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = PerfilesCredencialesPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(PerfilesCredencialesPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(PerfilesCredencialesPeer::ID_PERFIL);

		$criteria->addSelectColumn(PerfilesCredencialesPeer::ID_CREDENCIAL);

		$criteria->addSelectColumn(PerfilesCredencialesPeer::USERNAME);

		$criteria->addSelectColumn(PerfilesCredencialesPeer::CREATED_AT);

		$criteria->addSelectColumn(PerfilesCredencialesPeer::UPDATE_AT);

		$criteria->addSelectColumn(PerfilesCredencialesPeer::ESTADO);

	}

	const COUNT = 'COUNT(PERFILES_CREDENCIALES.ID_PERFIL)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT PERFILES_CREDENCIALES.ID_PERFIL)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = PerfilesCredencialesPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = PerfilesCredencialesPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return PerfilesCredencialesPeer::populateObjects(PerfilesCredencialesPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			PerfilesCredencialesPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = PerfilesCredencialesPeer::getOMClass();
		$cls = sfPropel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinPerfiles(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(PerfilesCredencialesPeer::ID_PERFIL, PerfilesPeer::ID);

		$rs = PerfilesCredencialesPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinCredenciales(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(PerfilesCredencialesPeer::ID_CREDENCIAL, CredencialesPeer::ID);

		$rs = PerfilesCredencialesPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinPerfiles(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		PerfilesCredencialesPeer::addSelectColumns($c);
		$startcol = (PerfilesCredencialesPeer::NUM_COLUMNS - PerfilesCredencialesPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		PerfilesPeer::addSelectColumns($c);

		$c->addJoin(PerfilesCredencialesPeer::ID_PERFIL, PerfilesPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = PerfilesCredencialesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = PerfilesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getPerfiles(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addPerfilesCredenciales($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initPerfilesCredencialess();
				$obj2->addPerfilesCredenciales($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinCredenciales(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		PerfilesCredencialesPeer::addSelectColumns($c);
		$startcol = (PerfilesCredencialesPeer::NUM_COLUMNS - PerfilesCredencialesPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CredencialesPeer::addSelectColumns($c);

		$c->addJoin(PerfilesCredencialesPeer::ID_CREDENCIAL, CredencialesPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = PerfilesCredencialesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CredencialesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCredenciales(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addPerfilesCredenciales($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initPerfilesCredencialess();
				$obj2->addPerfilesCredenciales($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(PerfilesCredencialesPeer::ID_PERFIL, PerfilesPeer::ID);

		$criteria->addJoin(PerfilesCredencialesPeer::ID_CREDENCIAL, CredencialesPeer::ID);

		$rs = PerfilesCredencialesPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		PerfilesCredencialesPeer::addSelectColumns($c);
		$startcol2 = (PerfilesCredencialesPeer::NUM_COLUMNS - PerfilesCredencialesPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		PerfilesPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + PerfilesPeer::NUM_COLUMNS;

		CredencialesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CredencialesPeer::NUM_COLUMNS;

		$c->addJoin(PerfilesCredencialesPeer::ID_PERFIL, PerfilesPeer::ID);

		$c->addJoin(PerfilesCredencialesPeer::ID_CREDENCIAL, CredencialesPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = PerfilesCredencialesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = PerfilesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getPerfiles(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addPerfilesCredenciales($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initPerfilesCredencialess();
				$obj2->addPerfilesCredenciales($obj1);
			}


					
			$omClass = CredencialesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCredenciales(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addPerfilesCredenciales($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initPerfilesCredencialess();
				$obj3->addPerfilesCredenciales($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptPerfiles(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(PerfilesCredencialesPeer::ID_CREDENCIAL, CredencialesPeer::ID);

		$rs = PerfilesCredencialesPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptCredenciales(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(PerfilesCredencialesPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(PerfilesCredencialesPeer::ID_PERFIL, PerfilesPeer::ID);

		$rs = PerfilesCredencialesPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptPerfiles(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		PerfilesCredencialesPeer::addSelectColumns($c);
		$startcol2 = (PerfilesCredencialesPeer::NUM_COLUMNS - PerfilesCredencialesPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CredencialesPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CredencialesPeer::NUM_COLUMNS;

		$c->addJoin(PerfilesCredencialesPeer::ID_CREDENCIAL, CredencialesPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = PerfilesCredencialesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CredencialesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCredenciales(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addPerfilesCredenciales($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initPerfilesCredencialess();
				$obj2->addPerfilesCredenciales($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptCredenciales(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		PerfilesCredencialesPeer::addSelectColumns($c);
		$startcol2 = (PerfilesCredencialesPeer::NUM_COLUMNS - PerfilesCredencialesPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		PerfilesPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + PerfilesPeer::NUM_COLUMNS;

		$c->addJoin(PerfilesCredencialesPeer::ID_PERFIL, PerfilesPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = PerfilesCredencialesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = PerfilesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getPerfiles(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addPerfilesCredenciales($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initPerfilesCredencialess();
				$obj2->addPerfilesCredenciales($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return PerfilesCredencialesPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(PerfilesCredencialesPeer::ID_PERFIL);
			$selectCriteria->add(PerfilesCredencialesPeer::ID_PERFIL, $criteria->remove(PerfilesCredencialesPeer::ID_PERFIL), $comparison);

			$comparison = $criteria->getComparison(PerfilesCredencialesPeer::ID_CREDENCIAL);
			$selectCriteria->add(PerfilesCredencialesPeer::ID_CREDENCIAL, $criteria->remove(PerfilesCredencialesPeer::ID_CREDENCIAL), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(PerfilesCredencialesPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(PerfilesCredencialesPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof PerfilesCredenciales) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
			}

			$criteria->add(PerfilesCredencialesPeer::ID_PERFIL, $vals[0], Criteria::IN);
			$criteria->add(PerfilesCredencialesPeer::ID_CREDENCIAL, $vals[1], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(PerfilesCredenciales $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(PerfilesCredencialesPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(PerfilesCredencialesPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(PerfilesCredencialesPeer::DATABASE_NAME, PerfilesCredencialesPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = PerfilesCredencialesPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $id_perfil, $id_credencial, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(PerfilesCredencialesPeer::ID_PERFIL, $id_perfil);
		$criteria->add(PerfilesCredencialesPeer::ID_CREDENCIAL, $id_credencial);
		$v = PerfilesCredencialesPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BasePerfilesCredencialesPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			Propel::registerMapBuilder('lib.model.map.PerfilesCredencialesMapBuilder');
}
